package com.logicbig.example;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Import;
import org.springframework.format.FormatterRegistry;
import org.springframework.web.servlet.config.annotation.EnableWebMvc;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurerAdapter;

@EnableWebMvc
@Configuration
@Import(MyViewConfig.class)
public class MyWebConfig extends WebMvcConfigurerAdapter {

    
    @Override
    public void addFormatters (FormatterRegistry registry) {
        AddressFormatter addressFormatter = new AddressFormatter();
        addressFormatter.setStyle(AddressFormatter.Style.REGION);
        registry.addFormatter(addressFormatter);
    }
    

    @Bean
    public CustomerController customerController () {
        return new CustomerController();
    }

    @Bean
    public CustomerDataService userService () {
        return new InMemoryCustomerDataService();
    }
}